#ifndef _MAIN_H_
#define _MAIN_H_


#include <inttypes.h>
#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>

// macros
#define SBI(port, bit)	(port |= _BV(bit))
#define CBI(port, bit)	(port &= ~_BV(bit))

//#define show_string_direct_pgm(text, a, b, c)  strcpy_P(tbuf, PSTR(text)); show_string_direct(tbuf, a, b, c)
//#define show_string_direct_pgm(text, a, b, c)  show_string_direct(text, a, b, c)

#define LB(x) ((x)&0x00FF)
#define HB(x) (((x)>>8)&0x00FF)

#define VREF 2.487

// Variables 
//extern volatile uint8_t g_swState ;

#define ENABLE_EEP 1 // Enable load and store settings with eeprom (requires some memory)
#define ENABLE_BRIGHTNESS 1 // Enable brightness adjust

// Filename of log file placed on root folder
// Note: for restriction of fatfs library, this file 
//  (1) must be created previously by another file system
//  (2) must have a plenty of filesize for the duration of logging
//       [recording duration (sec)] * 42 / [sampling interval (sec)] < filesize
//       for example, 24 hour, 1 sec interval -> 3.7 MB
//                    6 hour, 10 sec interval -> 91 kB
//  (3) should be filled with blank chars (' ').
#define LOG_FILENAME "log.csv"

#endif

