// MSM62X42B (OKI) Driver Rutine
// 2014.06.23 Eleken
// rev_c1815@yahoo.co.jp

#ifndef _MSM62X42B_H_
#define _MSM62X42B_H_

#define RTC_RD PB1
#define RTC_WR PB0
#define RTC_ALE PD2
#define RTC_CS1 PD3
#define RTC_STDP PC4

//#define RTC_INITPORT_DEF

// All values are BCD
typedef struct _sTime{
	uint8_t sec;
	uint8_t min;
	uint8_t hour; 
	uint8_t day; 
	uint8_t month; 
	uint8_t year; 
}sTime;

#ifdef RTC_INITPORT_DEF
void MSM62X42B_InitPort(void);
#endif
void MSM62X42B_Reset(void);

void MSM62X42B_SetCurTime(const sTime* pCurTime);
void MSM62X42B_GetCurTime(sTime* pCurTime);

void MSM62X42B_EnableOutput(void);
void MSM62X42B_DisableOutput(void);

#endif
